This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 867576 - Message with a lot of images can stuck rendering process
Message with a lot of images can stuck rendering process
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-17 14:53 EDT by Mikhail
Modified: 2012-10-18 12:12 EDT (History)
3 users (show)

See Also:
Fixed In Version: evolution-3.6.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-18 04:42:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example message (1.08 MB, application/mbox)
2012-10-17 14:53 EDT, Mikhail
no flags Details
backtrace for evolution (10.46 KB, text/plain)
2012-10-17 14:54 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-10-17 14:53:45 EDT
Created attachment 629019 [details]
example message

Description of problem:
Message with a lot of images can stuck rendering process

Demonstration video: https://docs.google.com/open?id=0B0nwzlfiB4aQUVdNYjN3Z3VEd0E
Comment 1 Mikhail 2012-10-17 14:54:21 EDT
Created attachment 629020 [details]
backtrace for evolution
Comment 2 Mikhail 2012-10-17 15:12:10 EDT
Symptoms are same as described here: https://bugzilla.redhat.com/show_bug.cgi?id=849227#c6
Comment 3 Milan Crha 2012-10-18 04:42:23 EDT
Thanks for a bug report. This is fixed with current upstream version 3.6.0, which is part of Fedora 18. The upstream version moved to webkit for message body rendering, which doesn't suffer of this issue like the old GtkHTML.
Comment 4 Mikhail 2012-10-18 05:52:24 EDT
but for compose messages still using old GtkHTML yet :(
Comment 5 Milan Crha 2012-10-18 12:12:05 EDT
That's true, composer should be replaced in 3.8.x. I tried to reply to your test message, and it took some time before it got opened, I guess about 10 seconds, but after that the composer opened and I could see its content with no problem, both plain and HTML versions.

Note You need to log in before you can comment on or make changes to this bug.